void keyPressed() {
  if (key == 'x' || key == 'X') {
    showRotateX = !showRotateX;
  }
  if (key == 'y' || key == 'Y') {
    showRotateY = !showRotateY;
  }
  if (key == 'z' || key == 'Z') {
    showRotateZ = !showRotateZ;
  }
  if (key == 'r' || key == 'R') {
    showResponse = !showResponse;
  }
  if (key == 'p' || key == 'P') {
    showPoint = !showPoint;
  }
  if (key == 'm' || key == 'M') {
    showMove = !showMove;
  }
  if (key == '1') {
    showChannel1 = !showChannel1;
  }
  if (key == '2') {
    showChannel2 = !showChannel2;
  }
  if (key == '3') {
    showChannel3 = !showChannel3;
  }
}

void gui() {
  hint(DISABLE_DEPTH_TEST);
  cam.beginHUD();
  cp5.draw();

  pushMatrix();
  textAlign(LEFT, CENTER);
  fill(255);
  textFont(f, 15);
  text("2021 Youtube Trending Videos Analysis"+"\n"+ "MAT 259 Winter 22" + "\nLijuan Cheng", 60, 80); 
  popMatrix();

  pushMatrix();
  textAlign(LEFT, CENTER);
  fill(255);
  textFont(f, 15);
  text("X axis shows the published date" + "\nY axis shows the published time" + "\nZ axis shows the view counts\n" +
    "Every curve connects the videos from the same channel,\nand different colors show various channels", 60, height-600);
  text("Press m to show the movement" + "\nPress p to show the points" + "\nPress r to show the response count with a short line" + 
  "\nPress x or y or z to show rotate with X or Y or Z axis" + "\nPress 1 or 2 or 3 to show the channel curves in three categories", 60, height-320);
  popMatrix();

  cam.endHUD();
  hint(ENABLE_DEPTH_TEST);
}

void controlEvent(ControlEvent theEvent) {
  int id = theEvent.getController().getId();
  if (id==0) {
    showCategory_26 = !showCategory_26;
  } else if (id==1) {
    showCategory_27 = !showCategory_27;
  } else if (id==2) {
    showCategory_28 = !showCategory_28;
  }
  else if (id == 3) {
    changeChannelColor = !changeChannelColor;
  }
}
